.stats-bar {
  display: flex;
  justify-content: space-between;
  max-width: 55%;
  margin: 20px auto;
  padding: 10px 0 15px 0;
  border: var(--border-standard);
  border-radius: 20px;
  background: var(--bg-dark-elements);
  box-shadow: var(--shadow-dark);
  opacity: 0;
  transform: translateX(-900px);
  transition: all 1.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.stats-bar.visible {
  opacity: 1;
  transform: translateX(0);
}

.stat {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
}

.stat span {
  margin-top: 0;
  margin-bottom: 10px;
  color: var(--text-accent-blue);
  font-size: 22px;
  font-weight: 400;
}

.stat p {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 14px;
  color: var(--text-secondary);
}

.circle-wrapper {
  position: relative;
  width: 50px;
  height: 50px;
  margin: 0 auto;
}

.circle {
  width: 50px;
  height: 50px;
  transform: rotate(-90deg);
}

circle {
  fill: none;
  stroke-width: 2;
}

circle.bg {
  stroke: rgba(255,255,255,0.1);
}

circle.progress {
  stroke: var(--text-accent-blue);
  stroke-linecap: round;
  stroke-dasharray: 163;
  stroke-dashoffset: 163;
  transition: stroke-dashoffset 1.2s ease;
}

.percent {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 14px !important;
  color: var(--text-accent-blue);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .stats-bar {
    margin: 15px auto;
    padding: 9px 0 15px 0;
  }

  .stat span {
    font-size: 21px;
  }

  .stat p {
    font-size: 13px;
  }

  .percent {
    font-size: 13px !important;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .stats-bar {
    max-width: 60%;
    margin: 15px auto;
    padding: 8px 0 15px 0;
    transform: translateX(-600px);
  }

  .stat span {
    font-size: 20px;
  }

  .stat p {
    font-size: 13px;
  }

  .percent {
    font-size: 13px !important;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .stats-bar {
    max-width: 60%;
    margin: 15px auto;
    padding: 8px 0 15px 0;
    transform: translateX(-600px);
  }

  .stat span {
    font-size: 20px;
  }

  .stat p {
    font-size: 13px;
  }

  .percent {
    font-size: 13px !important;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .stats-bar {
    max-width: 90%;
    margin: 20px auto;
    padding: 6px 0 10px 0;
    transform: translateX(-400px);
  }

  .stat span {
    font-size: 18px;
  }

  .stat p {
    font-size: 12px;
  }

  .percent {
    font-size: 12px !important;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .stats-bar {
    max-width: 60%;
    margin: 15px auto;
    padding: 6px 0 12px 0;
    transform: translateX(-600px);
  }

  .stat span {
    font-size: 19px;
  }

  .stat p {
    font-size: 12px;
  }

  .percent {
    font-size: 12px !important;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .stats-bar {
    display: none;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .stats-bar {
    max-width: 90%;
    margin: 15px auto;
    padding: 6px 0 12px 0;
    transform: translateX(-300px);
  }

  .stat span {
    font-size: 16px;
  }

  .stat p {
    font-size: 11px;
  }

  .percent {
    font-size: 11px !important;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .stats-bar {
    max-width: 60%;
    margin: 15px auto;
    padding: 6px 0 12px 0;
    transform: translateX(-400px);
  }

  .stat span {
    font-size: 18px;
  }

  .stat p {
    font-size: 11px;
  }

  .percent {
    font-size: 11px !important;
  }
}